//Criao: Ralp Alves Bezerra
//E-Mail: ralpalves@ubbi.com.br
//Criado com Delphi 6
//Pode ser copiado e distribuido livremente

UNIT BackupZip;

INTERFACE

USES
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls, FileCtrl,
  WinSkinData;

TYPE
  TBackup = CLASS(TForm)
    BBINICIAR: TBitBtn;
    Label2: TLabel;
    Bevel3: TBevel;
    Label5: TLabel;
    arquivo: TEdit;
    Bevel4: TBevel;
    SKMILENIUM: TSkinData;
    Shape1: TShape;
    Label1: TLabel;
    B: TBevel;
    BBFECHAR: TBitBtn;
    Label3: TLabel;
    BBCONFIGURAR: TBitBtn;
    EDITORIGEM: TLabel;
    EDITDESTINO: TLabel;
    PNCONFIG: TPanel;
    EDITORIGEM_CONFIG: TEdit;
    EDTIDESTINO_CONFIG: TEdit;
    BBGRAVAR: TBitBtn;
    Label4: TLabel;
    Label6: TLabel;
    PROCEDURE BBINICIARClick(Sender: TObject);
    PROCEDURE FormActivate(Sender: TObject);
    PROCEDURE arvore1Click(Sender: TObject);
    PROCEDURE Arvore2Click(Sender: TObject);
    PROCEDURE BBFECHARClick(Sender: TObject);
    PROCEDURE FormKeyUp(Sender: TObject; VAR Key: Word;
      Shift: TShiftState);
    PROCEDURE FormShow(Sender: TObject);
    PROCEDURE BBGRAVARClick(Sender: TObject);
    PROCEDURE BBCONFIGURARClick(Sender: TObject);
  PRIVATE
    PROCEDURE ShowHint(Sender: TObject);
    { Private declarations }
  PUBLIC
    { Public declarations }
    ORIGEM, DESTINO: STRING;
    CODEMPRESA, NOME, USUARIO: STRING;
    N, CONTADOR: Integer;
    ALIAS, ALIAS1, LOCALIZAR, EDITCOD, PARCELAS, MS: STRING;
    EMPRESAS, DESCONTO, ICMS, REPRES, SKIN, MEDIDAS, NOTA, ALTERA_PEDIDO, FATURAMENTO, FINANCEIRO, CUSTO, TRANSFER, MATERIA, CHEQUES: Boolean;

  END;

VAR
  Backup: TBackup;
  Data: STRING;

IMPLEMENTATION

USES UNITFUNCOES;

PROCEDURE TBackup.ShowHint(Sender: TObject);
BEGIN
END;


{$R *.DFM}


PROCEDURE TBackup.BBINICIARClick(Sender: TObject);
BEGIN
  IF Length(Arquivo.Text) = 0 THEN
  BEGIN
    ShowMessage('Nome do Arquivo deve ser informado');
    Arquivo.SetFocus;
  END ELSE BEGIN
    Data := Copy(DateToStr(now), 1, 2) +
      Copy(DateToStr(now), 4, 2) +
      Copy(DateToStr(now), 7, 2);
    WinExec(PChar('C:\\\\\\\\Arquivos de Programas\\\\\\\\WinZip\\\\\\\\WinZip32 -a -r "'
      + EDITDestino.Caption + '\' + Arquivo.Text + '" ' + '"' + EDITOrigem.Caption + '"'), 1);
    ShowMessage('Arquivo "' + UpperCase(Arquivo.Text) + '.ZIP" criado na pasta "' +
      UpperCase(EDITDestino.Caption) + '"');
  END;
END;

PROCEDURE TBackup.FormActivate(Sender: TObject);
BEGIN
  Application.OnHint := ShowHint;
END;

PROCEDURE TBackup.arvore1Click(Sender: TObject);
BEGIN
//Arvore1.OpenCurrent;
//Backup.Caption:=' Backup de Arquivos - Arquivos Selecionados: '+IntToStr(FileListBox1.Count)
END;

PROCEDURE TBackup.Arvore2Click(Sender: TObject);
BEGIN
//Arvore2.OpenCurrent
END;

PROCEDURE TBackup.BBFECHARClick(Sender: TObject);
BEGIN
  Close;
END;

PROCEDURE TBackup.FormKeyUp(Sender: TObject; VAR Key: Word;
  Shift: TShiftState);
BEGIN
  CASE Key OF
    VK_Escape:
      BEGIN
        BACKUP.Close;
      END;
  END;
END;

PROCEDURE TBackup.FormShow(Sender: TObject);
BEGIN
  Data := Copy(DateToStr(now), 1, 2) +
    Copy(DateToStr(now), 4, 2) +
    Copy(DateToStr(now), 7, 4);

  arquivo.Text := 'Backup' + Data;


  LeIni_Config(ORIGEM, DESTINO);

  EDITORIGEM.CAPTION := ORIGEM;
  EDITDESTINO.CAPTION := DESTINO;

  EDITORIGEM_CONFIG.TEXT := ORIGEM;
  EDTIDESTINO_CONFIG.Text := DESTINO;
END;

PROCEDURE TBackup.BBGRAVARClick(Sender: TObject);
BEGIN

  ORIGEM := EDITORIGEM_CONFIG.Text;
  DESTINO := EDTIDESTINO_CONFIG.Text;
  GravaIni_Config(ORIGEM, DESTINO);


  BACKUP.Height := 200;
  PNCONFIG.Visible := FALSE;
END;

PROCEDURE TBackup.BBCONFIGURARClick(Sender: TObject);
BEGIN
  BACKUP.Height := 290;
  PNCONFIG.Visible := TRUE;
  EDITORIGEM_CONFIG.SetFocus;
END;

END.

