UNIT UnitFuncoes;

INTERFACE

USES
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, DBCtrls, Mask, DBGrids, DB, DBTables, ExtCtrls, BDE,
  comctrls, Menus, DBClient, Provider, SqlExpr, DBXpress,
  Variants, FMTBcd, IniFiles, RDprint;

PROCEDURE FECHA_TABELAS(X: TDataModule);
PROCEDURE CANCELA_TABELAS(X: TDataModule);
PROCEDURE FILTRO(X: TDataModule);
PROCEDURE LIMPACHECKBOX(D: Tform);
FUNCTION TRATAR_ERRO(Msg: STRING): Boolean;
PROCEDURE ATUALIZA_DATA(D: Tform);
PROCEDURE CONFIGURA_IMPRESSAO(D: TForm);
//CONFIGURAES DO PROGRAMA
PROCEDURE GravaIni_Milenium(N: Longint; ALIAS: STRING; ALIAS1: STRING; EMPRESAS: Boolean; DESCONTO: Boolean; ICMS: Boolean; REPRES: Boolean; SKIN: Boolean;
  MEDIDAS: Boolean; NOTA: Boolean; ALTERA_PEDIDO: Boolean; FATURAMENTO: Boolean; FINANCEIRO: Boolean; CUSTO: Boolean; TRANSFER: Boolean; MATERIA: Boolean; CHEQUES: Boolean;
  PARCELAS: STRING; MS: STRING);
PROCEDURE LeIni_Milenium(VAR N: Longint; VAR ALIAS: STRING; VAR ALIAS1: STRING; VAR EMPRESAS: Boolean; VAR DESCONTO: Boolean; VAR ICMS: Boolean; VAR REPRES: Boolean; VAR SKIN: Boolean;
  VAR MEDIDAS: Boolean; VAR NOTA: Boolean; VAR ALTERA_PEDIDO: Boolean; VAR FATURAMENTO: Boolean; VAR FINANCEIRO: Boolean; VAR CUSTO: Boolean; VAR TRANSFER: Boolean; VAR MATERIA: Boolean; VAR CHEQUES: Boolean;
  VAR PARCELAS: STRING; VAR MS: STRING);
//CONFIGURAES DA IMPRESSO
PROCEDURE GravaIni_Impressao(Numero: Longint; Texto: STRING; P: Boolean; Z: Boolean; R: Boolean; FOLHA: Boolean);
PROCEDURE LeIni_Impressao(VAR Numero: Longint; VAR Texto: STRING; VAR P: Boolean; VAR Z: Boolean; VAR R: Boolean; VAR FOLHA: Boolean);
//COMPLEMENTOS
PROCEDURE GravaIni_EMPRESA(CODEMPRESA: STRING; NOME: STRING; USUARIO: STRING);
PROCEDURE LeIni_EMPRESA(VAR CODEMPRESA: STRING; VAR NOME: STRING; VAR USUARIO: STRING);

PROCEDURE GravaIni_Imagem(DIR: STRING; POSICAO: Boolean; SKIN: Boolean; BOTOES: Boolean; TELA: Boolean);
PROCEDURE LeIni_Imagem(VAR DIR: STRING; VAR POSICAO: Boolean; VAR SKIN: Boolean; VAR BOTOES: Boolean; VAR TELA: Boolean);


PROCEDURE GravaIni_Config(ORIGEM: STRING; DESTINO: STRING);
PROCEDURE LeIni_Config(VAR ORIGEM: STRING; VAR DESTINO: STRING);


FUNCTION ESPACOS(I: Byte): STRING;
FUNCTION StrZero(Num: Real; Zeros, Deci: integer): STRING;
FUNCTION Alltrim(Text: STRING): STRING;
FUNCTION ConvZero(Num: Real; Zeros, Deci: integer): STRING;
FUNCTION SubStrAT(Pesq: STRING; Local: STRING): Boolean;
FUNCTION COMPLETA_ZEROS(NUMERO: STRING; TAMANHO: INTEGER): STRING;



IMPLEMENTATION

PROCEDURE GravaIni_Config(ORIGEM: STRING; DESTINO: STRING);
VAR
  ArqIni: TIniFile;
BEGIN
  ArqIni := TIniFile.Create('C:\CONFIG_COPIA.Ini');
  TRY
    ArqIni.WriteString('Informacao', 'ORIGEM', ORIGEM);
    ArqIni.WriteString('Informacao', 'DESTINO', DESTINO);
  FINALLY
    ArqIni.Free;
  END;
END;


PROCEDURE LeIni_Config(VAR ORIGEM: STRING; VAR DESTINO: STRING);
VAR
  ArqIni: tIniFile;
BEGIN
  ArqIni := tIniFile.Create('C:\CONFIG_COPIA.Ini');
  TRY
    ORIGEM := ArqIni.ReadString('Informacao', 'ORIGEM', ORIGEM);
    DESTINO := ArqIni.ReadString('Informacao', 'DESTINO', DESTINO);
  FINALLY
    ArqIni.Free;
  END;
END;


PROCEDURE GravaIni_Imagem(DIR: STRING; POSICAO: Boolean; SKIN: Boolean; BOTOES: Boolean; TELA: Boolean);
VAR
  ArqIni: TIniFile;
BEGIN
  ArqIni := TIniFile.Create('C:\PROJETOS_FDB\DU_BOM\IMAGEM.Ini');
  TRY
    ArqIni.WriteString('Informacao', 'DIR', DIR);
    ArqIni.WriteBool('Informacao', 'POSICAO', POSICAO);
    ArqIni.WriteBool('Informacao', 'SKIN', SKIN);
    ArqIni.WriteBool('Informacao', 'BOTOES', BOTOES);
    ArqIni.WriteBool('Informacao', 'TELA', TELA);
  FINALLY
    ArqIni.Free;
  END;
END;

PROCEDURE LeIni_Imagem(VAR DIR: STRING; VAR POSICAO: BOOLEAN; VAR SKIN: Boolean; VAR BOTOES: Boolean; VAR TELA: Boolean);
VAR
  ArqIni: tIniFile;
BEGIN
  ArqIni := tIniFile.Create('C:\PROJETOS_FDB\DU_BOM\IMAGEM.Ini');
  TRY
    DIR := ArqIni.ReadString('Informacao', 'DIR', DIR);
    POSICAO := ArqIni.ReadBool('Informacao', 'POSICAO', POSICAO);
    SKIN := ArqIni.ReadBool('Informacao', 'SKIN', SKIN);
    BOTOES := ArqIni.ReadBool('Informacao', 'BOTOES', BOTOES);
    TELA := ArqIni.ReadBool('Informacao', 'TELA', TELA);
  FINALLY
    ArqIni.Free;
  END;
END;

FUNCTION COMPLETA_ZEROS(NUMERO: STRING; TAMANHO: INTEGER): STRING;
VAR TAM, A: INTEGER;
  NOVO: STRING;
BEGIN
  TAM := Length(InttoStr(StrtoInt(NUMERO)));
  FOR A := 1 TO TAMANHO - TAM DO
  BEGIN
    NOVO := NOVO + '0';
  END;
  NOVO := NOVO + InttoStr(StrtoInt(NUMERO));
  Result := NOVO;
END;

FUNCTION ESPACOS(I: Byte): STRING;
VAR
  Zip: STRING[255];
BEGIN
  ESPACOS := '';
  IF i > 0 THEN BEGIN
    FillChar(zip, i + 1, ' ');
    zip[0] := Chr(i);
    ESPACOS := Zip;
  END;
END;

FUNCTION StrZero(Num: Real; Zeros, Deci: integer): STRING;
VAR tam, z: integer;
  res, zer: STRING;
BEGIN
  Str(Num: Zeros: Deci, res);
  res := Alltrim(res);
  tam := length(res);
  zer := '';
  FOR z := 1 TO (Zeros - tam) DO
    zer := zer + '0';
  Result := zer + res;
END;

FUNCTION Alltrim(Text: STRING): STRING;
BEGIN
  WHILE Pos(' ', Text) > 0 DO
    Delete(Text, Pos(' ', Text), 1);
  Result := Text;
END;

FUNCTION ConvZero(Num: Real; Zeros, Deci: integer): STRING;
VAR tam, z: integer;
  res, vlr: STRING;
BEGIN
  Str(Num: Zeros: Deci, res);
  res := Alltrim(res);
  tam := length(res); vlr := '';
  IF tam > zeros THEN tam := zeros;
  FOR z := 1 TO (tam + 1) DO
    IF SubStrAT(Copy(res, z, 1), '0123456789') THEN vlr := vlr + Copy(res, z, 1);
  Result := Format('%' + IntToStr(zeros) + '.' + IntToStr(zeros) + 'd', [StrToInt(vlr)]);
END;

FUNCTION SubStrAT(Pesq: STRING; Local: STRING): Boolean;
VAR
  i, Tamanho1, Tamanho2: Integer;
  Achei: Boolean;
BEGIN
  Tamanho1 := Length(Pesq);
  Tamanho2 := Length(Local);
  Achei := False; ; i := 1;
  WHILE (i <= Tamanho2) AND NOT Achei DO BEGIN
    IF Copy(Local, i, Tamanho1) = Pesq THEN Achei := True
    ELSE i := i + 1;
  END;
  Result := Achei;
END;

PROCEDURE GravaIni_Impressao(Numero: Longint; Texto: STRING; P: Boolean; Z: Boolean; R: Boolean; FOLHA: Boolean);
VAR
  ArqIni: TIniFile;
BEGIN
  ArqIni := TIniFile.Create('C:\PROJETOS_FDB\DU_BOM\IMPRESSAO.Ini');
  TRY
    ArqIni.WriteInteger('Informacao', 'Numero', Numero);
    ArqIni.WriteString('Informacao', 'Texto', Texto);
    ArqIni.WriteBool('Informacao', 'P', P);
    ArqIni.WriteBool('Informacao', 'Z', Z);
    ArqIni.WriteBool('Informacao', 'R', R);
    ArqIni.WriteBool('Informacao', 'FOLHA', FOLHA);
  FINALLY
    ArqIni.Free;
  END;
END;

PROCEDURE LeIni_Impressao(VAR Numero: Longint; VAR Texto: STRING; VAR P: Boolean; VAR Z: Boolean; VAR R: Boolean; VAR FOLHA: Boolean);
VAR
  ArqIni: tIniFile;
BEGIN
  ArqIni := tIniFile.Create('C:\PROJETOS_FDB\DU_BOM\IMPRESSAO.Ini');
  TRY
    Numero := ArqIni.ReadInteger('Informacao', 'Numero', Numero);
    Texto := ArqIni.ReadString('Informacao', 'Texto', Texto);
    P := ArqIni.ReadBool('Informacao', 'P', P);
    Z := ArqIni.ReadBool('Informacao', 'Z', Z);
    R := ArqIni.ReadBool('Informacao', 'R', R);
    FOLHA := ArqIni.ReadBool('Informacao', 'FOLHA', FOLHA);
  FINALLY
    ArqIni.Free;
  END;
END;

PROCEDURE GravaIni_Milenium(N: Longint; ALIAS: STRING; ALIAS1: STRING; EMPRESAS: Boolean; DESCONTO: Boolean; ICMS: Boolean; REPRES: Boolean; SKIN: Boolean; MEDIDAS: Boolean; NOTA: Boolean;
  ALTERA_PEDIDO: Boolean; FATURAMENTO: Boolean; FINANCEIRO: Boolean; CUSTO: Boolean; TRANSFER: Boolean; MATERIA: Boolean; CHEQUES: Boolean; PARCELAS: STRING; MS: STRING);
VAR
  ArqIni: TIniFile;
BEGIN
  ArqIni := TIniFile.Create('C:\PROJETOS_FDB\DU_BOM\MILENIUM.Ini');
  TRY
    ArqIni.WriteInteger('Informacao', 'N', N);
    ArqIni.WriteString('Informacao', 'ALIAS', ALIAS);
    ArqIni.WriteString('Informacao', 'ALIAS1', ALIAS1);
    ArqIni.WriteBool('Informacao', 'EMPRESAS', EMPRESAS);
    ArqIni.WriteBool('Informacao', 'DESCONTO', DESCONTO);
    ArqIni.WriteBool('Informacao', 'ICMS', ICMS);
    ArqIni.WriteBool('Informacao', 'REPRES', REPRES);
    ArqIni.WriteBool('Informacao', 'SKIN', SKIN);
    ArqIni.WriteBool('Informacao', 'MEDIDAS', MEDIDAS);
    ArqIni.WriteBool('Informacao', 'NOTA', NOTA);
    ArqIni.WriteBool('Informacao', 'ALTERA_PEDIDO', ALTERA_PEDIDO);
    ArqIni.WriteBool('Informacao', 'FATURAMENTO', FATURAMENTO);
    ArqIni.WriteBool('Informacao', 'FINANCEIRO', FINANCEIRO);
    ArqIni.WriteBool('Informacao', 'CUSTO', CUSTO);
    ArqIni.WriteBool('Informacao', 'TRANSFER', TRANSFER);
    ArqIni.WriteBool('Informacao', 'MATERIA', MATERIA);
    ArqIni.WriteBool('Informacao', 'CHEQUES', CHEQUES);
    ArqIni.WriteString('Informacao', 'PARCELAS', PARCELAS);
    ArqIni.WriteString('Informacao', 'MS', MS);
  FINALLY
    ArqIni.Free;
  END;
END;

PROCEDURE LeIni_Milenium(VAR N: Longint; VAR ALIAS: STRING; VAR ALIAS1: STRING; VAR EMPRESAS: Boolean; VAR DESCONTO: Boolean; VAR ICMS: Boolean; VAR REPRES: Boolean; VAR SKIN: Boolean; VAR MEDIDAS: Boolean; VAR NOTA: Boolean;
  VAR ALTERA_PEDIDO: Boolean; VAR FATURAMENTO: Boolean; VAR FINANCEIRO: Boolean; VAR CUSTO: Boolean; VAR TRANSFER: Boolean; VAR MATERIA: Boolean; VAR CHEQUES: Boolean; VAR PARCELAS: STRING; VAR MS: STRING);
VAR
  ArqIni: tIniFile;
BEGIN
  ArqIni := tIniFile.Create('C:\PROJETOS_FDB\DU_BOM\MILENIUM.Ini');
  TRY
    N := ArqIni.ReadInteger('Informacao', 'N', N);
    ALIAS := ArqIni.ReadString('Informacao', 'ALIAS', ALIAS);
    ALIAS1 := ArqIni.ReadString('Informacao', 'ALIAS1', ALIAS);
    EMPRESAS := ArqIni.ReadBool('Informacao', 'EMPRESAS', EMPRESAS);
    DESCONTO := ArqIni.ReadBool('Informacao', 'DESCONTO', DESCONTO);
    ICMS := ArqIni.ReadBool('Informacao', 'ICMS', ICMS);
    REPRES := ArqIni.ReadBool('Informacao', 'REPRES', REPRES);
    SKIN := ArqIni.ReadBool('Informacao', 'SKIN', SKIN);
    MEDIDAS := ArqIni.ReadBool('Informacao', 'MEDIDAS', MEDIDAS);
    NOTA := ArqIni.ReadBool('Informacao', 'NOTA', NOTA);
    ALTERA_PEDIDO := ArqIni.ReadBool('Informacao', 'ALTERA_PEDIDO', ALTERA_PEDIDO);
    FATURAMENTO := ArqIni.ReadBool('Informacao', 'FATURAMENTO', FATURAMENTO);
    FINANCEIRO := ArqIni.ReadBool('Informacao', 'FINANCEIRO', FINANCEIRO);
    CUSTO := ArqIni.ReadBool('Informacao', 'CUSTO', CUSTO);
    TRANSFER := ArqIni.ReadBool('Informacao', 'TRANSFER', TRANSFER);
    MATERIA := ArqIni.ReadBool('Informacao', 'MATERIA', MATERIA);
    CHEQUES := ArqIni.ReadBool('Informacao', 'CHEQUES', CHEQUES);
    PARCELAS := ArqIni.ReadString('Informacao', 'PARCELAS', PARCELAS);
    MS := ArqIni.ReadString('Informacao', 'MS', MS);
  FINALLY
    ArqIni.Free;
  END;
END;


PROCEDURE GravaIni_EMPRESA(CODEMPRESA: STRING; NOME: STRING; USUARIO: STRING);
VAR
  ArqIni: TIniFile;
BEGIN
  ArqIni := TIniFile.Create('C:\PROJETOS_FDB\DU_BOM\EMPRESA.Ini');
  TRY
    ArqIni.WriteString('Informacao', 'CODEMPRESA', CODEMPRESA);
    ArqIni.WriteString('Informacao', 'NOME', NOME);
    ArqIni.WriteString('Informacao', 'USUARIO', USUARIO);
  FINALLY
    ArqIni.Free;
  END;
END;

PROCEDURE LeIni_EMPRESA(VAR CODEMPRESA: STRING; VAR NOME: STRING; VAR USUARIO: STRING);
VAR
  ArqIni: tIniFile;
BEGIN
  ArqIni := tIniFile.Create('C:\PROJETOS_FDB\DU_BOM\EMPRESA.Ini');
  TRY
    CODEMPRESA := ArqIni.ReadString('Informacao', 'CODEMPRESA', CODEMPRESA);
    NOME := ArqIni.ReadString('Informacao', 'NOME', NOME);
    USUARIO := ArqIni.ReadString('Informacao', 'USUARIO', USUARIO);
  FINALLY
    ArqIni.Free;
  END;
END;


PROCEDURE CONFIGURA_IMPRESSAO(D: Tform);
VAR
  I, N: Integer;
  Impressora: STRING;
  P, Z, R, FOLHA: Boolean;
BEGIN
  FOR I := 0 TO D.ComponentCount - 1 DO
  BEGIN
    IF D.Components[I] IS TRDPrint THEN
    BEGIN
      IF (TRDPrint(D.components[I]).name = 'RDTODOS') THEN
      BEGIN
        //Preview
        LeIni_Impressao(N, Impressora, P, Z, R, FOLHA);
        IF P = False THEN
          TRDPrint(D.Components[I]).OpcoesPreview.Preview := False
        ELSE
          TRDPrint(D.Components[I]).OpcoesPreview.Preview := True;
        // - Pagina Zebrada
        IF Z = False THEN
          TRDPrint(D.Components[I]).OpcoesPreview.PaginaZebrada := False
        ELSE
          TRDPrint(D.Components[I]).OpcoesPreview.PaginaZebrada := True;

        // - Remalina
        IF R = False THEN
          TRDPrint(D.Components[I]).OpcoesPreview.Remalina := False
        ELSE
          TRDPrint(D.Components[I]).OpcoesPreview.Remalina := True;
        // - Impressora
        IF Impressora = 'Epson' THEN
          TRDPrint(D.Components[I]).Impressora := Epson
        ELSE
          IF Impressora = 'Grafico' THEN
            TRDPrint(D.Components[I]).Impressora := Grafico
          ELSE
            IF Impressora = 'HP' THEN
              TRDPrint(D.Components[I]).Impressora := HP
            ELSE
              IF Impressora = 'Personalizado' THEN
                TRDPrint(D.Components[I]).Impressora := Personalizado
              ELSE
                IF Impressora = 'Rima' THEN
                  TRDPrint(D.Components[I]).Impressora := Rima;
      END;
    END;
  END;
END;

FUNCTION TRATAR_ERRO(Msg: STRING): Boolean;
BEGIN
  Result := False;

  IF Pos('FK_', UpperCase(Msg)) > 0 THEN
  BEGIN
    Application.MessageBox('Ateno!!! '#13#13'Existem Registros que dependem do Registro'#13#13'Que voc est Tentado excluir...'#13#13'A Operao ser cancelada.', 'Erro', mb_IconError);
    Result := True;
  END;

  IF (Pos('UNIQUE INDEX', UpperCase(Msg)) > 0) OR (Pos('PK_', UpperCase(msg)) > 0) THEN
  BEGIN
    Application.MessageBox('Ateno!!! '#13#13'Violao de Chave Primria! Registro j Existe...'#13#13'A Operao ser cancelada.', 'Erro', mb_IconError);
    Result := True;
  END;

  IF Pos('MUST HAVE A VALUE', UpperCase(Msg)) > 0 THEN
  BEGIN
    Application.MessageBox('Ateno!!! '#13#13'Campo de Preencimento Obrigatrio!!!'#13#13'Favor Informar um Valor', 'Erro', mb_IconError);
    Result := True;
  END;

  IF NOT Result THEN
  BEGIN
    Application.MessageBox(PChar(Msg), 'Erro', mb_IconError);
    Result := True;
  END;
END;

PROCEDURE FECHA_TABELAS(X: TDataModule);
VAR K: Integer;
BEGIN
  //Fechando todas tabelas
  FOR K := 0 TO X.ComponentCount - 1 DO
  BEGIN
    IF X.Components[K] IS TClientDataSet THEN
    BEGIN
      TClientDataSet(X.Components[K]).Close;
    END;
    IF X.Components[K] IS TSQLDataSet THEN
    BEGIN
      TSQLDataSet(X.Components[K]).Close;
    END;
  END;
END;

PROCEDURE LIMPACHECKBOX(D: Tform);
VAR I: Integer;
BEGIN
  FOR I := 0 TO D.ComponentCount - 1 DO
  BEGIN
    IF D.Components[I] IS TCHECKBOX THEN
    BEGIN
      TCHECKBOX(D.Components[I]).Checked := FALSE;
    END;
  END;
END;


PROCEDURE CANCELA_TABELAS(X: TDataModule);
VAR K: Integer;
BEGIN
  //Fechando todas tabelas
  FOR K := 0 TO X.ComponentCount - 1 DO
  BEGIN
    IF X.Components[K] IS TClientDataSet THEN
    BEGIN
      TClientDataSet(X.Components[K]).Cancel;
    END;
    IF X.Components[K] IS TSQLDataSet THEN
    BEGIN
      TSQLDataSet(X.Components[K]).Cancel;
    END;
  END;
END;

PROCEDURE FILTRO(X: TDataModule);
VAR K: Integer;
BEGIN
  //Fechando todas tabelas
  FOR K := 0 TO X.ComponentCount - 1 DO
  BEGIN
    IF X.Components[K] IS TClientDataSet THEN
    BEGIN
      TClientDataSet(X.Components[K]).Filtered := False;
    END;
  END;
END;

PROCEDURE ATUALIZA_DATA(D: Tform);
VAR I: Integer;
  Dia: STRING;
BEGIN
  FOR I := 0 TO D.ComponentCount - 1 DO
  BEGIN
    IF D.Components[I] IS TDateTimePicker THEN
    BEGIN
      IF (TDateTimePicker(D.components[I]).name = 'DATA_INICIAL') THEN
      BEGIN
        Dia := '01/' + FORMATDATETIME('mm', NOW) + '/' + FORMATDATETIME('yyyy', NOW);
        TDateTimePicker(D.Components[I]).DateTime := StrToDate(Dia);
      END;
      IF (TDateTimePicker(D.components[I]).name = 'DATA_FINAL') THEN
      BEGIN
        TDateTimePicker(D.Components[I]).DateTime := Now;
      END;
    END;
  END;
END;

END.

